package utils

import (
	"github.com/beego/beego/v2/core/logs"
)

var FileLog *logs.BeeLogger
var FileLogData *logs.BeeLogger

func init() {
	FileLog = logs.NewLogger(1000000)
	FileLog.SetLogger(logs.AdapterFile, `{"filename":"./rdlucklog/hongze_chart_lib.log"}`)
	FileLog.EnableFuncCallDepth(true)


	FileLogData = logs.NewLogger(1000000)
	FileLogData.SetLogger(logs.AdapterFile, `{"filename":"./rdlucklog/hongze_admin_data.log"}`)
}
