package data_manage

import (
	"github.com/rdlucklib/rdluck_tools/orm"
	"time"
)

type SearchKeyword struct {
	Id         int `orm:"column(id);pk"`
	KeyWord    string
	CreateTime time.Time
}

func AddSearchKeyword(item *SearchKeyword) (err error) {
	o := orm.NewOrm()
	o.Using("data")
	_, err = o.Insert(item)
	return
}